#ifndef PORT_COM_H
#define PORT_COM_H

#include <QtGui>
#include <lib/qextserialport/qextserialport.h>
#include <QString>

enum rs232_e{RS232_NOT_USED, RS232_NOT_OPENED, RS232_OPENED};

class Port_Com: public QObject
{
    Q_OBJECT

public:
    Port_Com();
    int open_Serial();
    int close_Serial();

private slots:
    void set_baudRate(BaudRateType baud);
    void set_portName(QString name);

private:
    QextSerialPort *portCom;

};

#endif // PORT_COM_H
